# IRaMuTeQ

Scripts Perl développés par Panpan Hu pour générer des fichiers utilisables par le logiciel d’analyse statistique **[IRaMuTeQ](http://iramuteq.org/)**.

Pour ce corpus, les données sont organisées de manière différente par rapport au corpus Vieillissement v1. Le nom de la revue utilisé comme variable n’apparaît plus dans le nom du fichier. Il faut aller le rechercher dans le fichier de métadonnées WoS généré pour le **[Niveau 0](https://git.istex.fr/scodex/explore-corpus/tree/master/Niveau-0)** dans lequel il est associé à un identifiant Istex. Pour ensuite savoir à quel nom de fichier correspond quel identifiant Istex, il faut interroger le fichier .source contenant ces 2 informations. 

### **Correspondance_Identifient_Istex_NomRevue.pl** :

Ce script récupère les correspondances entre identifiants Istex et nom de revue dans le fichier au format WoS. 

#### Syntaxe

```perl
perl Correspondance_Identifient_Istex_NomRevue.pl -d nom_du_fichier_WoS -s nom_du_fichier_sortie
```

La mise en correspondance entre nom du fichier / identifiant Istex dans le fichier .corpus et entre identifiant Istex / nom de revue dans le fichier au format WoS est ensuite réalisée par Excel (fonction RECHERCHEV()). 

### **Préparation_Données\_entrée.pl** :

Ce script concatène les fichiers TXT du répertoire de données source en ajoutant le nom de la revue comme variable pour chaque fichier.


#### Syntaxe

Afin de lancer ce script, déplacez-le au même niveau que le répertoire contenant des articles à traiter, le fichier contenant des noms de revue et le fichier contenant des ID des articles. 

```perl
perl Préparation_Données_entrée.pl -r nom_du_répertoire -j nom_fichier_revue -i nom_fichier_ID -s nom_du_fichier_sortie
```
